package ar.edu.unju.fi.poo.dominio;

public class Producto {
	private Integer id; 
	private String nombre;	
	private Double precio;
	private TipoProducto tipoProducto;
	
	
	private static Integer nextId = 100;  
	
	/**
	 * Constructor sin parmetros 
	 */
	public Producto() {
		
	}
	
	/**
	 * Este constructor recibe todos los atributos del objeto
	 * @param id
	 * @param nombre
	 * @param precio
	 */
	public Producto(Integer id, String nombre, Double precio) {

		this.id = id;
		this.nombre = nombre;
		this.precio = precio;
	}
	
	/**
	 * Recibe el nombre y el precio y genera automticamente el ID
	 * 
	 * @param nombre
	 * @param precio
	 */
	public Producto(String nombre, Double precio) {		
		nextId ++;
		this.id = nextId;
		this.nombre = nombre;
		this.precio = precio;
	}
	
	public Producto(String nombre, Double precio, TipoProducto tipoProducto) {		
		nextId ++;
		this.id = nextId;
		this.nombre = nombre;
		this.precio = precio;
		this.tipoProducto = tipoProducto;
	}	
	//Geters y Setters. Mtodos de instancia
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getNombre() {
		return nombre;
	}
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	public Double getPrecio() {
		return precio;
	}
	public void setPrecio(Double precio) {
		this.precio = precio;
	}

	public TipoProducto getTipoProducto() {
		return tipoProducto;
	}

	public void setTipoProducto(TipoProducto tipoProducto) {
		this.tipoProducto = tipoProducto;
	}

	@Override
	public String toString() {
		return "Producto [id=" + id + ", nombre=" + nombre + ", precio=" + precio + ", tipoProducto=" + tipoProducto
				+ "]";
	}

}
